﻿@model EmailVerification
<div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Change Email Address</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="personal/SaveEmail" class="form fv-plugins-bootstrap fv-plugins-framework" id="AddClient_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="EmailChangeComplete">
            <div class="modal-body">
                <input type="hidden" name="Guid" value="@ViewBag.ClientLoginGuid" />
                <div class="form-group">
                    <label>Email Address</label>
                    <div class="input-group">
                        <input asp-for="Email" class="form-control form-control-lg" id="ClientEmail">
                        <div class="input-group-append d-none" id="edit-email">
                            <button class="btn btn-warning w-45px" type="button" data-toggle="tooltip" data-original-title="Edit"><i class="icon-lg far fa-edit"></i></button>
                        </div>
                    </div>
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group d-none" id="code-div">
                    <label>Verification Code</label>
                    <input class="form-control form-control-lg numeric" asp-for="VerificationCode">
                    <span asp-validation-for="VerificationCode" class="text-danger"></span>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_client">
                    <i class="la la-save"></i> Save
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    var EmailChangeComplete = function (response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        if (responseObj) {
            if (responseObj.success) {
                $("#edit-email").removeClass("d-none");
                $("#code-div").removeClass("d-none");
                $("#ChangeEmailModal #Email").addClass("disabled");
                var swalOptions = successSwalOptions;
                swalOptions.title = responseObj.message;
                Swal.fire(swalOptions);
                if (responseObj.data.email) {
                    if (window['adviser_sub_datatable_' + responseObj.data.userId])
                        window['adviser_sub_datatable_' + responseObj.data.userId].reload();
                    var modalId = $('.modal:visible').attr("id");
                    $(`#${modalId}`).modal('hide');
                    $("#right_panel_email").text(responseObj.data.email);
                    $("#kt_clientinfo_form #Email").val(responseObj.data.email);
                }
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    }
    $("#edit-email").click(function () {
        $("#ChangeEmailModal #Email").removeClass("disabled");
        $("#code-div").addClass("d-none");
    });
</script>